Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.actions
Class SetSchemaVersionAction

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.JDBCAction
              oracle.ifs.admin.actions.SetSchemaVersionAction

All Implemented Interfaces:
  Action, IfsParameters

    public class SetSchemaVersionAction

extends JDBCAction

The SetSchemaVersionAction sets the iFS schema version.

(Unpublished)
Modified:
  aknatara17/03/2004 Using SCHEMA_VERSION_KEY if version is null., lsaenz 12/04/2000 Use S_LibraryService.setRepositoryParameter., lsaenz 08/24/2000 Removed setting CURRENTUPGRADETASK., lsaenz 08/02/2000 Added empty implementation for failed method., lsaenz 07/17/2000 Created.

Field Summary

Fields inherited from class oracle.ifs.admin.actions.JDBCAction
`NOLOG`

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`SetSchemaVersionAction()`
`SetSchemaVersionAction(java.lang.String user, java.lang.String pass, java.lang.String url, java.lang.String version)` Creates a new SetSchemaVersionAction.

Method Summary
`void` | `execute(java.sql.Connection con)` Sets the iFS schema version.
`void` | `failed(java.lang.Throwable error)` Does nothing.
`void` | `stop()` Does nothing.

Methods inherited from class oracle.ifs.admin.actions.JDBCAction
`perform, setDatabaseUrl, setPassword, setUser`

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetSchemaVersionAction

    public SetSchemaVersionAction(java.lang.String user,
                                  java.lang.String pass,
                                  java.lang.String url,
                                  java.lang.String version)

  Creates a new SetSchemaVersionAction.

  Parameters:
    `user` - the database user/schema name to connect to.
    `pass` - the user's password.
    `url` - the database URL.
    `version` - the String value to set the schema version to.

### SetSchemaVersionAction

    public SetSchemaVersionAction()

Method Detail

### execute

    public void execute(java.sql.Connection con)
                 throws ActionFailedException

  Description copied from class: `SetSchemaVersionAction`
  Sets the iFS schema version.

  Specified by:
    `execute` in class `JDBCAction`
  Parameters:
    `con` - the Connection to use.
  Throws:
    `SQLException` - if a database error occurs.
    `ActionFailedException` - if any other error occurs.

### stop

    public void stop()

  Description copied from class: `SetSchemaVersionAction`
  Does nothing.

### failed

    public void failed(java.lang.Throwable error)

  Description copied from class: `SetSchemaVersionAction`
  Does nothing.

  Parameters:
    `error` - the error that occurred.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD